On 22/12/09 11:06 PM, martin odersky wrote:
> On Tue, Dec 22, 2009 at 6:24 PM, Indrajit Raychaudhuri
> <indraj...@gmail.com>  wrote:
>>
>> On 22/12/09 10:44 PM, martin odersky wrote:
>>>
>>> On Tue, Dec 22, 2009 at 6:09 PM, Indrajit Raychaudhuri
>>> <indraj...@gmail.com>    wrote:
>>>>
>>>> Martin,
>>>>
>>>> I think the jetty version is incorrect in the pom.xml in test:sample.
>>>>
>>>> It should be:
>>>>
>>>>         <groupId>org.mortbay.jetty</groupId>
>>>>         <artifactId>jetty</artifactId>
>>>>         <version>[6.1.6,7.0)</version>
>>>>
>>> ... and, which test:sample are you referring to?
>>>
>>> Thanks
>>>
>>>   -- Martin
>>
>> The test:sample:war:0.1 artifact for which it fails. By your question, I
>> realize that you are encountering this during archetype generation. It's
>> completely unnecessary.
>>
>> edit the top level pom.xml and remove all the modules other than lift-base,
>> lift-persistence and lift-modules for now. They are really all that you
>> need.
>>
>> The modules section in your top level pom.xml should have just this.
>>
>>   <modules>
>>     <module>lift-base</module>
>>     <module>lift-persistence</module>
>>     <module>lift-modules</module>
>>     <!--<module>lift-archetypes</module>-->
>>     <!--<module>lift-examples</module>-->
>>
>>     <!-- the 'meta' module -->
>>     <!--<module>lift-core</module>-->
>>   </modules>
>>
>> - Indrajit
>>
>>
> OK, that will help, I hope.
>
> But I still have no luck. When I download from
>
>    http://github.com/dpp/liftweb/tree/280_port
>
> I get something that's different than the layout on the webpage.
> Subdirectories in dpp-liftweb-12d1bf0/
> are flatter than what I see on the webpage. When I compile with 2.8 it
> dies because it wants jcl.Conversions which sure does not exist
> anymore. So it seems to me that versions are mixed up? I really need a
> tarball or zip with the right lift to test against!

I just downloaded the zip from github page. Not sure how github prepares 
the archive. But I can confirm that dpp-liftweb-12d1bf0/ is incorrect.

>
>   -- Martin

--

You received this message because you are subscribed to the Google Groups 
"Lift" group.
To post to this group, send email to lift...@googlegroups.com.
To unsubscribe from this group, send email to 
liftweb+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/liftweb?hl=en.


Reply via email to